import request from '@/utils/request'

// 查询举报列表
export function listReport(query) {
  return request({
    url: '/xq/report/list',
    method: 'get',
    params: query
  })
}

// 查询举报详细
export function getReport(id) {
  return request({
    url: '/xq/report/' + id,
    method: 'get'
  })
}

// 修改举报
export function closeReport(data) {
  return request({
    url: '/xq/report/close',
    method: 'post',
    data: data
  })
}

// 删除举报
export function delReport(id) {
  return request({
    url: '/xq/report/' + id,
    method: 'delete'
  })
}
